## ros-iron-octomap-msgs 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(octomap_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

# Disable Wredundant-decls warnings since rosidl generates redundant function declarations 
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic -Wno-redundant-decls")
endif()

include_directories(include)

find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(std_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)

set(msg_files
	"msg/Octomap.msg"
	"msg/OctomapWithPose.msg"
)
set(srv_files
	"srv/BoundingBoxQuery.srv"
	"srv/GetOctomap.srv"
)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  ${srv_files}
	DEPENDENCIES
		std_msgs
		geometry_msgs
)

install(DIRECTORY include/
        DESTINATION include
        FILES_MATCHING PATTERN "*.h"
        PATTERN ".svn" EXCLUDE)

ament_export_dependencies(rosidl_default_runtime)
ament_package()

=== debian/changelog ===
ros-iron-octomap-msgs (2.0.0-4jammy) jammy; urgency=high

  * Change version to 2.0.0 for ROS2; update maintainer
  * Porting to ROS2, based on ROS version 0.3.3 #13 <https://github.com/OctoMap/octomap_msgs/pull/13>
  * Contributors: Yan Yu, Ibai Apellaniz, Henning Kayser, Wolfgang Merkt

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Tue, 30 Jun 2020 16:00:00 -0000

ros-iron-octomap-msgs (0.3.3-4jammy) jammy; urgency=high

  * Fix for binary ColorOcTrees messages
  * Removed check for "OcTree" id in binary deserialization, see Issue #4 <https://github.com/OctoMap/octomap_msgs/issues/4> and #5 <https://github.com/OctoMap/octomap_msgs/issues/5>
  * Contributors: Armin Hornung, Felix Endres

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Fri, 10 Jun 2016 16:00:00 -0000

ros-iron-octomap-msgs (0.3.2-4jammy) jammy; urgency=high

  * Fixing issue octomap_rviz_plugins/#10: Allow deserializing an empty octree
  * Contributors: Armin Hornung

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Thu, 06 Nov 2014 16:00:00 -0000

ros-iron-octomap-msgs (0.3.1-4jammy) jammy; urgency=high

  * Removed [binary|full]MsgDataToMap, created only incomplete OctoMap objects
    Replacement: use [binary|full]MsgToMap or msgToMap()

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Sun, 14 Jul 2013 16:00:00 -0000

ros-iron-octomap-msgs (0.3.0-4jammy) jammy; urgency=high

  * Removed deprecated conversions

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Mon, 01 Apr 2013 16:00:00 -0000

ros-iron-octomap-msgs (0.2.9-4jammy) jammy; urgency=high

  * Fix: octree resolution is double, not float

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Wed, 16 Jan 2013 16:00:00 -0000

ros-iron-octomap-msgs (0.2.8-4jammy) jammy; urgency=high

  * Fixed msg resolution field, binaryMsgToMap

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Mon, 07 Jan 2013 16:00:00 -0000

ros-iron-octomap-msgs (0.2.7-4jammy) jammy; urgency=high

  * fixed package.xml depends / build_depend

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Wed, 02 Jan 2013 16:00:00 -0000

ros-iron-octomap-msgs (0.2.6-4jammy) jammy; urgency=high

  * adjusted message generation to recent catkin changes & switched version to 0.2.6

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Sun, 16 Dec 2012 16:00:00 -0000

ros-iron-octomap-msgs (0.2.5-4jammy) jammy; urgency=high

  * more catkin fixing
  * copyright is not supported for package.xml
  * moving catkin_package() after generate_messages() per latest changes to catkin

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Fri, 07 Dec 2012 16:00:00 -0000

ros-iron-octomap-msgs (0.2.3-4jammy) jammy; urgency=high

  * comply to the new catkin API
  * add function to convert a message to map
  * changed message format to contain only data, meta information stored in new message fields (untested for Groovy)
  * documentation, fixes
  * remove id from message and bump stack version
  * New octomap_msg (de-) serialization / conversion functions from and to messages; old ones are now deprecated

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Thu, 11 Oct 2012 16:00:00 -0000

ros-iron-octomap-msgs (0.1.1-4jammy) jammy; urgency=high

  * missing includes added

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Fri, 20 Apr 2012 06:16:00 -0000

ros-iron-octomap-msgs (0.1.0-4jammy) jammy; urgency=high

  * Turned octomap_msgs and octomap_ros into unary stacks, code in octomap_mapping adjusted

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Fri, 20 Apr 2012 02:22:00 -0000

=== debian/control ===
Source: ros-iron-octomap-msgs
Section: misc
Priority: optional
Maintainer: Wolfgang Merkt <opensource@wolfgangmerkt.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-geometry-msgs, ros-iron-rosidl-default-generators, ros-iron-std-msgs, ros-iron-ros-workspace, ros-iron-rosidl-typesupport-fastrtps-c, ros-iron-rosidl-typesupport-fastrtps-cpp
Homepage: http://ros.org/wiki/octomap_msgs
Standards-Version: 3.9.2

Package: ros-iron-octomap-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-geometry-msgs, ros-iron-rosidl-default-runtime, ros-iron-std-msgs, ros-iron-ros-workspace
Description: This package provides messages and serializations / conversion for the OctoMap library.
 This ROS2 version is based on version 0.3.3 of the ROS1 package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-octomap-msgs//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
